Bug 1121809

Summary: no sound in f20, was working fine in f19
Product: [Fedora] Fedora Reporter: chris
Component: pulseaudioAssignee: Lennart Poettering <lpoetter>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: brendan.jones.it, chris, lkundrak, lpoetter, rdieter, wtaymans
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 11:57:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
alsa-info.sh none

Description chris 2014-07-21 23:51:12 UTC
Description of problem:
In Fedora 19 my onboard analog 5.1 sound was working out of the box.
In Fedora 20 there is no sound. Except on the login screen (move the volume slider). It is the same after an upgrade from f19 as well as after a new install.
Pulseaudio is only showing a digital output and the hdmi output of my graphics card in the sources selection.
The soundchip is the onboard chip of a Gigabyte 890FXA-UD5 mainboard.

A similar problem was reported here https://bugzilla.redhat.com/show_bug.cgi?id=1046153, but i doubt that it is a kernel bug.
The only way to get at least stereo sound was to deactivate module-udev-detect
and set the sinks manually in /etc/pulse/default.pa

Version-Release number of selected component (if applicable):
pulseaudio-4.0-13.gitf81e3.fc20.x86_64
kernel-3.15.6-200.fc20.x86_64

Here some output about my audio hardware. I don't know what is usefull or not.

cat /proc/asound/cards
 0 [SB             ]: HDA-Intel - HDA ATI SB
                      HDA ATI SB at 0xfdff4000 irq 16
 1 [HDMI           ]: HDA-Intel - HDA ATI HDMI
                      HDA ATI HDMI at 0xfdafc000 irq 52
 2 [CinemaTM       ]: USB-Audio - Microsoft® LifeCam Cinema(TM)
                      Microsoft Microsoft® LifeCam Cinema(TM) at usb-0000:00:13.2-2.1.3, high speed

lspci -v | grep -i audio
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cypress HDMI Audio [Radeon HD 5800 Series]

Comment 1 chris 2015-05-26 20:47:33 UTC
Still no sound in Fedora 21 and 22

Comment 2 Rex Dieter 2015-05-26 21:10:04 UTC
probably a driver issue.

Please post output of:

$ lsmod | grep snd


for bonus points, run

$ alsa-info.sh

and attach the output file , that looks something like:

(for example, for me),
...
Your ALSA information is in /tmp/alsa-info.txt.QeySVf7suf

(the file /tmp/alsa-info.txt.QeySVf7suf )

Comment 3 chris 2015-05-26 22:00:06 UTC
lsmod | grep snd:
http://ur1.ca/mn967

output of alsa-info is added as attachment.

Comment 4 chris 2015-05-26 22:00:44 UTC
Created attachment 1030198 [details]
alsa-info.sh

Comment 5 Rex Dieter 2015-05-26 22:08:55 UTC
OK, intel driver and hdmi output, Can you check with mixer or pavucontrol that output isn't accidentally going to the wrong output?

Which do you want, intel or hdmi ? (I assume the former)

Comment 6 chris 2015-05-26 22:35:39 UTC
I want the intel hda.
If I enter the gnome audio settings, there is only one output device listed:
digital output-s/pdif (internal device)
but this is the wrong one.
Below under profile is analog stereo sound selected, only if I delete my user's pulse config folder.
If I enter this config menu and just change anything, this option will not show up again until i delete the pulse folder. 

In Fedora 19, I had entries for my analog sound device there too.

I installed pavucontrol, there I have entries for the hdmi output of my gpu and an internal audio analog stereo.
It claims that port:lineout is unplugged.

well, at least it seems that as long as i don't touch or open any config tool, stereo/mono sound is working. And I can restore it by deleting my ~/.config/pulse folder.

Comment 7 Fedora End Of Life 2016-07-19 11:57:22 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.